package applicationConfig

import (
	"flag"

	"sirlab.de/go/knowyt/log"
)

type ApplicationConfig struct {
	DataDir string
}

func NewApplicationConfig() ApplicationConfig {

	flagVerbose := flag.Bool("v", false, "log debug messages, too")
	flagQuiet := flag.Bool("q", false, "be quiet; warning and error messages only")
	flag.Parse()

	log.SetLoglevel(log.LOG_INFO)

	if *flagVerbose {
		log.SetLoglevel(log.LOG_DEBUG)
	}
	if *flagQuiet {
		log.SetLoglevel(log.LOG_WARN)
	}

	return ApplicationConfig{
		DataDir: "data/",
	}
}
